Bug 1282440 - ypbind.service should be loaded before nss-user-lookup.target
ypbind.service should be loaded before nss-user-lookup.target
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ypbind (Show other bugs)
24
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matej Mužila
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 07:27 EST by Matej Mužila
Modified: 2017-04-25 17:33 EDT (History)
5 users (show)

See Also:
Fixed In Version: ypbind-1.38-10.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1217435
Environment:
Last Closed: 2017-04-25 17:33:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Jan Kurik 2016-02-24 10:51:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Yu Watanabe 2016-04-14 01:22:08 EDT
Please also add
=========
Wants=nss-user-lookup.target
=========
in ypbind.service.

The target nss-user-lookup.target is a special passive system unit, and as described at
https://www.freedesktop.org/software/systemd/man/systemd.special.html#Special%20Passive%20System%20Units
> A providing service should order itself before these targets 
> (as appropriate) and pull it in (via a Wants= type dependency).

The service ypbind provides a user/group name service lookup. So, it should pull nss-user-lookup.target via Wants= dependency.
Comment 3 Fedora Update System 2017-03-20 04:37:41 EDT
ypbind-1.38-9.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3636d8e4f2
Comment 4 Fedora Update System 2017-03-21 10:24:29 EDT
ypbind-1.38-9.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3636d8e4f2
Comment 5 Fedora Update System 2017-03-29 06:52:14 EDT
ypbind-1.38-10.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3636d8e4f2
Comment 6 Fedora Update System 2017-03-29 13:49:21 EDT
ypbind-1.38-10.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3636d8e4f2
Comment 7 Yu Watanabe 2017-04-11 00:00:08 EDT
Thanks. Are there no plan to apply this fix to F25?
Comment 8 Fedora Update System 2017-04-25 17:33:23 EDT
ypbind-1.38-10.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.